use <Module_SelectorKnob.scad>
use <Module_Knob.scad>
use <Module_FootswitchOutside.scad>
use <Module_TrsSocket.scad>


color("SlateGray",1.0){

CubePoints = [
  [  0,  0,  0 ],  //0
  [ 172,  0,  0 ],  //1
  [ 172,  128,  0 ],  //2
  [  0,  128,  0 ],  //3
  [  0,  4,  38 ],  //4
  [ 172,  4,  38 ],  //5
  [ 172,  122,  52 ],  //6
  [  0,  122,  52 ]
  ]; //7
  
CubeFaces = [
  [0,1,2,3],  // bottom
  [4,5,1,0],  // front
  [7,6,5,4],  // top
  [5,6,2,1],  // right
  [6,7,3,2],  // back
  [7,4,0,3]]; // left
  
    

polyhedron( CubePoints, CubeFaces );
translate([0,6,2]){
    rotate([0,90,0]){
    $fn=50;
    cylinder(r=2,h=172);
    }
}
}

color("Black",1.0){
translate([5,98,49]){   //Display
    rotate([7,0,0]){
    cube([51,14,1]);
    }
}
}

//Type-Knob
translate([37.5,75,47 ]){
    rotate([7,0,0]){
    selectorKnob();
    }
    }



//Value-Knob
translate([72,105,51]){
    rotate([7,0,0]){
    selectorKnob();
    }
    }


//Time-Knob
translate([101,105,51 ]){
    rotate([7,0,0]){
    Knob();
    }
}

//Repeats-Knob
translate([123,105,51 ]){
    rotate([7,0,0]){
    Knob(30);
    }
}


//Mix-Knob
translate([144,105,51 ]){
    rotate([7,0,0]){
    Knob();
    }
}


//Filter-Knob
translate([83.5,75,47.5 ]){
    rotate([7,0,0]){
    Knob();
    }
}

//Grit-Knob
translate([107.5,75,47.5 ]){
    rotate([7,0,0]){
    Knob();
    }
}

//Speed-Knob
translate([131.5,75,47.5 ]){
    rotate([7,0,0]){
    Knob();
    }
}

//Depth-Knob
translate([155.5,75,47.5 ]){
    rotate([7,0,0]){
    Knob();
    }
}
//Ende von Schwarz!



//Switch A
translate([20,25,40 ]){
    rotate([7,0,0]){
    footswitchOutside();
    }
}

//Switch B
translate([85,25,40 ]){
    rotate([7,0,0]){
    footswitchOutside();
    }
}

//Switch Tap
translate([150,25,40 ]){
    rotate([7,0,0]){
    footswitchOutside();
    }
}


//Klinken-Buchsen

//Left in
translate([156,125,23 ]){
    rotate([277,0,0]){
    TrsSocket();
    }
}

//Right in
translate([135,125,23 ]){
    rotate([277,0,0]){
    TrsSocket();
    }
}

//Left out
translate([114,125,23 ]){
    rotate([277,0,0]){
    TrsSocket();
    }
}

//Rigth out
translate([93,125,23 ]){
    rotate([277,0,0]){
    TrsSocket();
    }
}

//EXP
translate([72,125,23 ]){
    rotate([277,0,0]){
    TrsSocket();
    }
}
